# Nodes(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``Nodes`(bpy_struct)

  Collection of Nodes

  `active`

    Active node in this tree

    Type: | `Node`

  `new`(type)

    Add a node to this node tree

    Parameters: | type (string, (never None)) – Type, Type of node to add (Warning: should be same as node.bl_idname, not node.type!)
    Returns: | New node
    Return type: | `Node`

  `remove`(node)

    Remove a node from this node tree

    Parameters: | node (`Node`, (never None)) – The node to remove

  `clear`()

    Remove all nodes from this node tree

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`NodeTree.nodes` |